package cd.casic.plugin;

import org.pf4j.Plugin;
import org.pf4j.PluginWrapper;

/**
 * @Author：mianbin
 * @Package：cd.casic.plugin
 * @Project：ops
 * @name：BasePlugin
 * @Date：2024/03/18 9:25
 * @Filename：BasePlugin
 * @description：插件基类
 */
public abstract class BasePlugin extends Plugin {

    public BasePlugin(PluginWrapper wrapper) {
        super(wrapper);
    }

    /**
     * 根据插件主类获取插件包
     *
     * @return String
     */
    public String scanPackage() {
        return this.getClass().getPackage().getName();
    }
}
